/*
	  МГТУ ГА
	  ЭВМ-1-2
      Виталий Новичков

       22 июня 2011
 (С) 2011 Wohlhabenden.NET

 Практические работы #2

*/

#include <conio.h>
#include <stdio.h>
#include <math.h>
#include <stdlib.h>
#include <string.h>
#include <sys\stat.h>
#include <iomanip.h>
#include <fstream.h>
#include <FCNTL.H>
#include <io.h>
#include <dos.h>

#include "varibles.h"

#include "sndmsgs.h"

void p(int),
     read_fs(int),
     crat(int),
     add_(),
     find01(int),
     editor_(int),
     p_header(),
     p_header_s(),
     wR_f(int),
     filter_(char *, int),
     pri(char *),
     DoSort(char *);

#include "helperfn.h"
#include "read_fs.c"
#include "wr_f.c"
#include "wr_manua.c"
#include "crat.c"
#include "sort.cpp"

void main(int argc, char *params[])
{

clrscr();

//Подготовка файла-отчета работы программы
#include "logfile1.c"

//заставка
Intro:
//#include "nvds.c"

clrscr();
int Welcome=0;

if (argc>1)
{
if (file_exists(params[1]))
strcpy(FileName, params[1]);
else
strcpy(FileName, "");
}
else
strcpy(FileName, "");

#include "mitem002.c"

#include "mitem003.c"

#include "mitem006.c"

fout.close();
clrscr();
textcolor(7);
cprintf("\n");
textcolor(2);
cprintf("\nДо свидания!");
textcolor(7);
cprintf("\n");

//Предложение просмотреть файл результатов после работы прогарммы
#include "logfile.c"
}